Get slots and blocks on the Ethereum network
curl --request GET \
--url https://api.rated.network/v1/eth/blocks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/blocks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/blocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/blocks?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/blocks?limit=10&offset=10",
"results": [
[
{
"baseFeePerGas": 7413818806,
"baselineMev": 0,
"baselineMevWei": 0,
"blockBuilderPubkeys": [
"0x978a35c39c41aadbe35ea29712bccffb117cc6ebcad4d86ea463d712af1dc80131d0c650dc29ba29ef27c881f43bd587",
"0x978a35c39c41aadbe35ea29712bccffb117cc6ebcad4d86ea463d712af1dc80131d0c650dc29ba29ef27c881f43bd587",
"0x978a35c39c41aadbe35ea29712bccffb117cc6ebcad4d86ea463d712af1dc80131d0c650dc29ba29ef27c881f43bd587"
],
"blockTimestamp": "2023-10-09T11:00:47",
"consensusBlockRoot": "\\\\x5668a71163c5ec5fcf34185deb36f0c3619a6f00a4ee0a547220f439913b6412",
"consensusProposerDuty": "proposed",
"consensusRewards": 41947807,
"consensusSlot": 7502102,
"epoch": 234440,
"executionBlockHash": "\\\\x5b138bff063adf335b468150d91eb8c3025a02f6716e3dd4bcee42bf81bb0fe8",
"executionBlockNumber": 18312479,
"executionProposerDuty": "proposed",
"executionRewards": 34330125,
"executionRewardsWei": 34330125000000000,
"feeRecipient": "\\\\x1f9090aae28b8a3dceadf281b0f12828e676c326",
"missedConsensusRewards": 0,
"missedExecutionRewards": 0,
"relays": [
"bloxroute_regulated",
"flashbots",
"bloxroute_maxprofit"
],
"totalBurntFees": 88180442776786380,
"totalGasUsed": 11894065,
"totalPriorityFees": 34485815,
"totalPriorityFeesValidator": 34330125,
"totalPriorityFeesValidatorWei": 34330125000000000,
"totalPriorityFeesWei": 34485815000000000,
"totalRewards": 76277932,
"totalRewardsMissed": 0,
"totalSanctionedTransactions": 0,
"totalTransactions": 156,
"totalType0Transactions": 19,
"totalType0TxFees": 23400203843039860,
"totalType1Transactions": 0,
"totalType1TxFees": 0,
"totalType2Transactions": 137,
"totalType2TxFees": 11085611875723216,
"totalType3Transactions": 10,
"totalType3TxFees": 1108561187572321,
"totalType4Transactions": 4,
"totalType4TxFees": 8561187572321,
"validatorIndex": 888078
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Blocks
List of slots and blocks
This endpoint returns comprehensive information on slots and blocks on the Ethereum network
GET
/
v1
/
eth
/
blocks
Get slots and blocks on the Ethereum network
This endpoint gives a paginated list of all slots and blocks. The results can be filtered across a range of slots (
from and to parameters) and/or a specific proposing validator based on its validator_index.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Query Parameters
The number of results returned per page
The number of results to skip before starting to return
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0